Package com.independentsoft.office.vml

# Enum Class StrokeEndCapType

java.lang.Object
java.lang.Enum<StrokeEndCapType>
com.independentsoft.office.vml.StrokeEndCapType

All Implemented Interfaces:
  `Serializable`, `Comparable<StrokeEndCapType>`, `Constable`

public enum StrokeEndCapType extends Enum<StrokeEndCapType>
The Enum StrokeEndCapType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FLAT`
  `NONE`
  `ROUND`
  `SQUARE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StrokeEndCapType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static StrokeEndCapType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FLAT

    public static final StrokeEndCapType FLAT

  - ### ROUND

    public static final StrokeEndCapType ROUND

  - ### SQUARE

    public static final StrokeEndCapType SQUARE

  - ### NONE

    public static final StrokeEndCapType NONE

- ## Method Details

  - ### values

    public static StrokeEndCapType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StrokeEndCapType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null